Subject: Minor bug in bash completion

From: Sylvain RABOT <[email-masked]>
Date: Tue, 29 Dec 2009 15:36:58 +0100

Hello,

I found a bug in the git bash completion.
It occurs when I press tab to complete branch name when I want to pull 
from the origin.
Instead of completing the branch name it prompts me directly for my 
password on the origin remote.

                                                          I pressed tab 
here (just after mem)
                                                             |
srabot@khety:~/dev/ribeti.git[memcached]$ git pull origin 
[email-masked]'s password:
[email-masked]'s password:
cached
[email-masked]'s password:
 From git.ps.agematis.loc:/var/git/ribeti
 * branch            memcached  -> FETCH_HEAD
Already up-to-date.

I'm using :

Linux khety 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:01:29 UTC 2009 
i686 GNU/Linux
GNU bash, version 4.0.33(1)-release (i486-pc-linux-gnu)
git version 1.6.6

Best regards.

-- 
Sylvain